Ainda não tem acesso? Estude com a gente! Matricule-se
Ainda não tem acesso? Estude com a gente! Matricule-se

Solucionado (ver solução)

Dependencia PagSeguro erro no Heroku

Boa tarde,

eu estou fazendo o processo para subir a apicação.

Mas eu utilizo o .jar do pagSeguro, mas o mesmo não esta nos repositórios do mavem, ele esta local em minha maquina o que eu teria que fazer para poder subir minha aplicação?

erro:

Failed to execute goal on project rprvidros: Could not resolve dependencies for project org.rprvidros:rprvidros:war:1.0.0-SNAPSHOT: Could not find artifact pagseguro:pagseguro-api:jar:2.2.0-SNAPSHOT -> [Help 1]

obrigado.

4 respostas

Oi Gabriel, tudo bem ?

Se você está usando no seu projeto e está usando ele no heroku, é necessário te-lo dentro do projeto sim.

Tudo bem Matheus?

pelo que pude entender o Heroku baixa todas as dependências correto?

se for isso ele não vai conseguir baixar a do Pagseguro pois ela não esta nos repositórios do mavem.

Como eu poderia fazer?

Tem uma forma de você colocar ela dentro do seu projeto e fazer o maven pegar diretamente dela, não lembro exatamente como fazer isso :(

solução

Consegui adicionar.